System 2.0.0.0 4.0.0.0 System.Object

The class keeps track of a limited number of handles to unmanaged resources. Typically, unmanaged resources include handles to HDCs, HWnds, and so on.

Tracks outstanding handles and forces a garbage collection when the specified threshold is reached.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class using a name and a threshold at which to begin handle collection.

  A name for the collector. This parameter allows you to name collectors that track handle types separately.
  A value that specifies the point at which collections should begin.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class using a name, a threshold at which to begin handle collection, and a threshold at which handle collection must occur.

  A name for the collector. This parameter allows you to name collectors that track handle types separately.
  A value that specifies the point at which collections should begin.
  A value that specifies the point at which collections must occur. This should be set to the maximum number of available handles.
- Method
  2.0.0.0
  4.0.0.0
  System.Void To be added.

  Increments the current handle count.

- Property
  2.0.0.0
  4.0.0.0
  System.Int32 To be added. To be added.

  Gets the number of handles collected.

- Property
  2.0.0.0
  4.0.0.0
  System.Int32 To be added. To be added.

  Gets a value that specifies the point at which collections should begin.

- Property
  2.0.0.0
  4.0.0.0
  System.Int32 To be added. To be added.

  Gets a value that specifies the point at which collections must occur.

- Property
  2.0.0.0
  4.0.0.0
  System.String To be added. To be added.

  Gets the name of a object.

- Method
  2.0.0.0
  4.0.0.0
  System.Void To be added.

  Decrements the current handle count.